<?php

use CodeIgniter\Router\RouteCollection;

/** @var RouteCollection $routes */
$routes->get('/', 'Home::index');
$routes->get('InputPelanggaran', 'InputPelanggaran::index');
$routes->get('PanduanTatib', 'PanduanTatib::index');
$routes->get('Login', 'Login::index');
$routes->post('Login/prosesLogin', 'Login::prosesLogin');
$routes->get('Logout', 'Login::logout');
$routes->get('PilihKelas', 'PilihKelas::index', ['filter' => 'auth']);
$routes->get('token', 'Token::index');
$routes->post('token/cek', 'Token::cek');
$routes->get('token/logout', 'Token::logout');
$routes->get('RekapPelanggaranPermurid/(:num)', 'RekapPelanggaranPermurid::index/$1', ['filter' => 'auth']);
$routes->get(
    'RekapPelanggaranPerMurid/(:num)',
    'RekapPelanggaranPerMurid::index/$1'
);
$routes->get(
    'RekapPelanggaran/(:num)',
    'RekapPelanggaran::index/$1',
    ['filter' => 'auth']
);

$routes->get(
    'RekapPelanggaran/exportSkorPdf/(:num)',
    'RekapPelanggaran::exportSkorPdf/$1',
    ['filter' => 'auth']
);

$routes->get(
    'RekapPelanggaran/exportPelanggaranPdf/(:num)',
    'RekapPelanggaran::exportPelanggaranPdf/$1',
    ['filter' => 'auth']
);

$routes->get(
    'InputPelanggaran',
    'InputPelanggaran::index'
);

$routes->post(
    'InputPelanggaran/simpan',
    'InputPelanggaran::simpan'
);

$routes->get(
    'RekapPelanggaranPerMurid/exportPdf/(:num)',
    'RekapPelanggaranPerMurid::exportPdf/$1',
    ['filter' => 'auth']
);

$routes->get('InputPelanggaran/getSiswa/(:num)', 'InputPelanggaran::getSiswa/$1');
$routes->get('/GrafikRekapPelanggaran', 'GrafikRekapPelanggaran::index');
$routes->get('InputPenghargaan', 'InputPenghargaan::index');
$routes->post('InputPenghargaan/simpan', 'InputPenghargaan::simpan');
$routes->get('InputPenghargaan/getSiswa/(:num)', 'InputPenghargaan::getSiswa/$1');

$routes->get(
    'RekapPelanggaran/exportPenghargaanPdf/(:num)',
    'RekapPelanggaran::exportPenghargaanPdf/$1'
);
